package com.bonus.canteen.core.order.deprecated.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

@ApiModel("设备收单取消支付DTO")
public class MacOrdPayCancelDTO {
   @ApiModelProperty(
      value = "设备订单号",
      required = true
   )
   private @NotBlank(
   message = "设备订单号不能为空"
) String macOrdId;
   @ApiModelProperty(
      value = "设备sn码",
      hidden = true
   )
   private String machineSn;

   public String getMacOrdId() {
      return this.macOrdId;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public void setMacOrdId(final String macOrdId) {
      this.macOrdId = macOrdId;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

}
